require 'paste2/version'
require 'paste2/client'

module Paste2
  URL = 'http://paste2.org/'
  LANGUAGES = {
      'text' => 'Plain Targetext / Other',
      'abap' => 'ABAP',
      'ada' => 'Ada',
      'agda' => 'Agda',
      'ahk' => 'autohotkey',
      'alloy' => 'Alloy',
      'antlr-as' => 'ANTLR With ActionScript Target',
      'antlr-cpp' => 'ANTLR With CPP Target',
      'antlr-csharp' => 'ANTLR With C# Target',
      'antlr-java' => 'ANTLR With Java Target',
      'antlr-objc' => 'ANTLR With ObjectiveC Target',
      'antlr-perl' => 'ANTLR With Perl Target',
      'antlr-python' => 'ANTLR With Python Target',
      'antlr-ruby' => 'ANTLR With Ruby Target',
      'antlr' => 'ANTLR',
      'apacheconf' => 'ApacheConf',
      'apl' => 'APL',
      'applescript' => 'AppleScript',
      'as' => 'ActionScript',
      'as3' => 'ActionScript 3',
      'aspectj' => 'AspectJ',
      'aspx-cs' => 'aspx-cs',
      'aspx-vb' => 'aspx-vb',
      'asy' => 'Asymptote',
      'at' => 'AmbientTalk',
      'autoit' => 'AutoIt',
      'awk' => 'Awk',
      'basemake' => 'Base Makefile',
      'bash' => 'Bash',
      'bat' => 'Batchfile',
      'bbcode' => 'BBCode',
      'befunge' => 'Befunge',
      'blitzbasic' => 'BlitzBasic',
      'blitzmax' => 'BlitzMax',
      'boo' => 'Boo',
      'brainfuck' => 'Brainfuck',
      'bro' => 'Bro',
      'bugs' => 'BUGS',
      'c-objdump' => 'c-objdump',
      'c' => 'C',
      'ca65' => 'ca65 assembler',
      'cbmbas' => 'CBM BASIC V2',
      'ceylon' => 'Ceylon',
      'cfc' => 'Coldfusion CFC',
      'cfengine3' => 'CFEngine3',
      'cfm' => 'Coldfusion HTML',
      'cfs' => 'cfstatement',
      'chai' => 'ChaiScript',
      'chapel' => 'Chapel',
      'cheetah' => 'Cheetah',
      'cirru' => 'Cirru',
      'clay' => 'Clay',
      'clojure' => 'Clojure',
      'clojurescript' => 'ClojureScript',
      'cmake' => 'CMake',
      'cobol' => 'COBOL',
      'cobolfree' => 'COBOLFree',
      'coffee-script' => 'CoffeeScript',
      'common-lisp' => 'Common Lisp',
      'console' => 'Bash Session',
      'control' => 'Debian Control file',
      'coq' => 'Coq',
      'cpp' => 'C++',
      'cpp-objdump' => 'cpp-objdump',
      'croc' => 'Croc',
      'cryptol' => 'Cryptol',
      'csharp' => 'C#',
      'css+django' => 'CSS+Django/Jinja',
      'css+erb' => 'CSS+Ruby',
      'css+genshitext' => 'CSS+Genshi Text',
      'css+lasso' => 'CSS+Lasso',
      'css+mako' => 'CSS+Mako',
      'css+mozpreproc' => 'CSS+mozpreproc',
      'css+myghty' => 'CSS+Myghty',
      'css+php' => 'CSS+PHP',
      'css+smarty' => 'CSS+Smarty',
      'css' => 'CSS',
      'cucumber' => 'Gherkin',
      'cuda' => 'CUDA',
      'cypher' => 'Cypher',
      'cython' => 'Cython',
      'd-objdump' => 'd-objdump',
      'd' => 'D',
      'dart' => 'Dart',
      'delphi' => 'Delphi',
      'dg' => 'dg',
      'diff' => 'Diff',
      'django' => 'Django/Jinja',
      'docker' => 'Docker',
      'dpatch' => 'Darcs Patch',
      'dtd' => 'DTD',
      'duel' => 'Duel',
      'dylan-console' => 'Dylan session',
      'dylan-lid' => 'DylanLID',
      'dylan' => 'Dylan',
      'ebnf' => 'EBNF',
      'ec' => 'eC',
      'ecl' => 'ECL',
      'eiffel' => 'Eiffel',
      'elixir' => 'Elixir',
      'erb' => 'ERB',
      'erl' => 'Erlang erl session',
      'erlang' => 'Erlang',
      'evoque' => 'Evoque',
      'factor' => 'Factor',
      'fan' => 'Fantom',
      'fancy' => 'Fancy',
      'felix' => 'Felix',
      'fortran' => 'Fortran',
      'foxpro' => 'FoxPro',
      'fsharp' => 'FSharp',
      'gap' => 'GAP',
      'gas' => 'GAS',
      'genshi' => 'Genshi',
      'genshitext' => 'Genshi Text',
      'glsl' => 'GLSL',
      'gnuplot' => 'Gnuplot',
      'go' => 'Go',
      'golo' => 'Golo',
      'gooddata-cl' => 'GoodData-CL',
      'gosu' => 'Gosu',
      'groff' => 'Groff',
      'groovy' => 'Groovy',
      'gst' => 'Gosu Template',
      'haml' => 'Haml',
      'handlebars' => 'Handlebars',
      'haskell' => 'Haskell',
      'haxeml' => 'Hxml',
      'html+cheetah' => 'HTML+Cheetah',
      'html+django' => 'HTML+Django/Jinja',
      'html+evoque' => 'HTML+Evoque',
      'html+genshi' => 'HTML+Genshi',
      'html+handlebars' => 'HTML+Handlebars',
      'html+lasso' => 'HTML+Lasso',
      'html+mako' => 'HTML+Mako',
      'html+myghty' => 'HTML+Myghty',
      'html+php' => 'HTML+PHP',
      'html+smarty' => 'HTML+Smarty',
      'html+twig' => 'HTML+Twig',
      'html+velocity' => 'HTML+Velocity',
      'html' => 'HTML',
      'http' => 'HTTP',
      'hx' => 'Haxe',
      'hybris' => 'Hybris',
      'hylang' => 'Hy',
      'i6t' => 'Inform 6 template',
      'idl' => 'IDL',
      'idris' => 'Idris',
      'iex' => 'Elixir iex session',
      'igor' => 'Igor',
      'inform6' => 'Inform 6',
      'inform7' => 'Inform 7',
      'ini' => 'INI',
      'io' => 'Io',
      'ioke' => 'Ioke',
      'irc' => 'IRC logs',
      'isabelle' => 'Isabelle',
      'jade' => 'Jade',
      'jags' => 'JAGS',
      'jasmin' => 'Jasmin',
      'java' => 'Java',
      'javascript+mozpreproc' => 'Javascript+mozpreproc',
      'jlcon' => 'Julia console',
      'js+cheetah' => 'JavaScript+Cheetah',
      'js+django' => 'JavaScript+Django/Jinja',
      'js+erb' => 'JavaScript+Ruby',
      'js+genshitext' => 'JavaScript+Genshi Text',
      'js+lasso' => 'JavaScript+Lasso',
      'js+mako' => 'JavaScript+Mako',
      'js+myghty' => 'JavaScript+Myghty',
      'js+php' => 'JavaScript+PHP',
      'js+smarty' => 'JavaScript+Smarty',
      'js' => 'JavaScript',
      'json' => 'JSON',
      'jsonld' => 'JSON-LD',
      'jsp' => 'Java Server Page',
      'julia' => 'Julia',
      'kal' => 'Kal',
      'kconfig' => 'Kconfig',
      'koka' => 'Koka',
      'kotlin' => 'Kotlin',
      'lagda' => 'Literate Agda',
      'lasso' => 'Lasso',
      'lcry' => 'Literate Cryptol',
      'lean' => 'Lean',
      'lhs' => 'Literate Haskell',
      'lidr' => 'Literate Idris',
      'lighty' => 'Lighttpd configuration file',
      'limbo' => 'Limbo',
      'liquid' => 'liquid',
      'live-script' => 'LiveScript',
      'llvm' => 'LLVM',
      'logos' => 'Logos',
      'logtalk' => 'Logtalk',
      'lsl' => 'LSL',
      'lua' => 'Lua',
      'make' => 'Makefile',
      'mako' => 'Mako',
      'maql' => 'MAQL',
      'mask' => 'Mask',
      'mason' => 'Mason',
      'mathematica' => 'Mathematica',
      'matlab' => 'Matlab',
      'matlabsession' => 'Matlab session',
      'minid' => 'MiniD',
      'modelica' => 'Modelica',
      'modula2' => 'Modula-2',
      'monkey' => 'Monkey',
      'moocode' => 'MOOCode',
      'moon' => 'MoonScript',
      'mozhashpreproc' => 'mozhashpreproc',
      'mozpercentpreproc' => 'mozpercentpreproc',
      'mql' => 'MQL',
      'mscgen' => 'Mscgen',
      'mupad' => 'MuPAD',
      'mxml' => 'MXML',
      'myghty' => 'Myghty',
      'mysql' => 'MySQL',
      'nasm' => 'NASM',
      'nemerle' => 'Nemerle',
      'nesc' => 'nesC',
      'newlisp' => 'NewLisp',
      'newspeak' => 'Newspeak',
      'nginx' => 'Nginx configuration file',
      'nimrod' => 'Nimrod',
      'nit' => 'Nit',
      'nixos' => 'Nix',
      'nsis' => 'NSIS',
      'numpy' => 'NumPy',
      'objdump-nasm' => 'objdump-nasm',
      'objdump' => 'objdump',
      'objective-c++' => 'Objective-C++',
      'objective-c' => 'Objective-C',
      'objective-j' => 'Objective-J',
      'ocaml' => 'OCaml',
      'octave' => 'Octave',
      'ooc' => 'Ooc',
      'opa' => 'Opa',
      'openedge' => 'OpenEdge ABL',
      'pan' => 'Pan',
      'pawn' => 'Pawn',
      'perl' => 'Perl',
      'perl6' => 'Perl6',
      'php' => 'PHP',
      'pig' => 'Pig',
      'pike' => 'Pike',
      'plpgsql' => 'PL/pgSQL',
      'postgresql' => 'PostgreSQL SQL dialect',
      'postscript' => 'PostScript',
      'pot' => 'Gettext Catalog',
      'pov' => 'POVRay',
      'powershell' => 'PowerShell',
      'prolog' => 'Prolog',
      'properties' => 'Properties',
      'protobuf' => 'Protocol Buffer',
      'psql' => 'PostgreSQL console (psql)',
      'puppet' => 'Puppet',
      'py3tb' => 'Python 3.0 Traceback',
      'pycon' => 'Python console session',
      'pypylog' => 'PyPy Log',
      'pytb' => 'Python Traceback',
      'python' => 'Python',
      'python3' => 'Python 3',
      'qbasic' => 'QBasic',
      'qml' => 'QML',
      'racket' => 'Racket',
      'ragel-c' => 'Ragel in C Host',
      'ragel-cpp' => 'Ragel in CPP Host',
      'ragel-d' => 'Ragel in D Host',
      'ragel-em' => 'Embedded Ragel',
      'ragel-java' => 'Ragel in Java Host',
      'ragel-objc' => 'Ragel in Objective C Host',
      'ragel-ruby' => 'Ragel in Ruby Host',
      'ragel' => 'Ragel',
      'raw' => 'Raw token data',
      'rb' => 'Ruby',
      'rbcon' => 'Ruby irb session',
      'rconsole' => 'RConsole',
      'rd' => 'Rd',
      'rebol' => 'REBOL',
      'red' => 'Red',
      'redcode' => 'Redcode',
      'registry' => 'reg',
      'resource' => 'ResourceBundle',
      'rexx' => 'Rexx',
      'rhtml' => 'RHTML',
      'robotframework' => 'RobotFramework',
      'rql' => 'RQL',
      'rsl' => 'RSL',
      'rst' => 'reStructuredText',
      'rust' => 'Rust',
      'sass' => 'Sass',
      'scala' => 'Scala',
      'scaml' => 'Scaml',
      'scheme' => 'Scheme',
      'scilab' => 'Scilab',
      'scss' => 'SCSS',
      'shell-session' => 'Shell Session',
      'slim' => 'Slim',
      'smali' => 'Smali',
      'smalltalk' => 'Smalltalk',
      'smarty' => 'Smarty',
      'sml' => 'Standard ML',
      'snobol' => 'Snobol',
      'sourceslist' => 'Debian Sourcelist',
      'sp' => 'SourcePawn',
      'sparql' => 'SPARQL',
      'spec' => 'RPMSpec',
      'splus' => 'S',
      'sql' => 'SQL',
      'sqlite3' => 'sqlite3con',
      'squidconf' => 'SquidConf',
      'ssp' => 'Scalate Server Page',
      'stan' => 'Stan',
      'swift' => 'Swift',
      'swig' => 'SWIG',
      'systemverilog' => 'systemverilog',
      'tads3' => 'TADS 3',
      'tcl' => 'Tcl',
      'tcsh' => 'Tcsh',
      'tea' => 'Tea',
      'tex' => 'TeX',
      'todotxt' => 'Todotxt',
      'trac-wiki' => 'MoinMoin/Trac Wiki markup',
      'treetop' => 'Treetop',
      'ts' => 'TypeScript',
      'twig' => 'Twig',
      'urbiscript' => 'UrbiScript',
      'vala' => 'Vala',
      'vb.net' => 'VB.net',
      'vctreestatus' => 'VCTreeStatus',
      'velocity' => 'Velocity',
      'verilog' => 'verilog',
      'vgl' => 'VGL',
      'vhdl' => 'vhdl',
      'vim' => 'VimL',
      'xml+cheetah' => 'XML+Cheetah',
      'xml+django' => 'XML+Django/Jinja',
      'xml+erb' => 'XML+Ruby',
      'xml+evoque' => 'XML+Evoque',
      'xml+lasso' => 'XML+Lasso',
      'xml+mako' => 'XML+Mako',
      'xml+myghty' => 'XML+Myghty',
      'xml+php' => 'XML+PHP',
      'xml+smarty' => 'XML+Smarty',
      'xml+velocity' => 'XML+Velocity',
      'xml' => 'XML',
      'xquery' => 'XQuery',
      'xslt' => 'XSLT',
      'xtend' => 'Xtend',
      'xul+mozpreproc' => 'XUL+mozpreproc',
      'yaml+jinja' => 'YAML+Jinja',
      'yaml' => 'YAML',
      'zephir' => 'Zephir'
  }
end
